org.apache.tinkerpop.gremlin.process.computer

## Enum ProgramPhase

- java.lang.Object
- - java.lang.Enum<ProgramPhase>
  - - org.apache.tinkerpop.gremlin.process.computer.ProgramPhase

- All Implemented Interfaces:
    Serializable, Comparable<ProgramPhase>

      public enum ProgramPhase
      extends Enum<ProgramPhase>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXECUTE`
    `SETUP`
    `TERMINATE`
    `WORKER_ITERATION_END`
    `WORKER_ITERATION_START`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `masterState()`
    `static ProgramPhase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProgramPhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `boolean` | `workerState()`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SETUP

          public static final ProgramPhase SETUP

    - #### WORKER_ITERATION_START

          public static final ProgramPhase WORKER_ITERATION_START

    - #### EXECUTE

          public static final ProgramPhase EXECUTE

    - #### WORKER_ITERATION_END

          public static final ProgramPhase WORKER_ITERATION_END

    - #### TERMINATE

          public static final ProgramPhase TERMINATE

  - ### Method Detail

    - #### values

          public static ProgramPhase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProgramPhase c : ProgramPhase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProgramPhase valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### masterState

          public boolean masterState()

    - #### workerState

          public boolean workerState()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.